Using the help system

Using the help system Phase MOSAIC

Introducing the Phase MOSAIC help system

Conventions

In this help system we will follow a few shorthand conventions for describing user-interface procedures. Key combinations will be presented like this: Ctrl+Alt+Delete, which means that you should press and hold down the Control key, the Alt key, and the Delete key at the same time. Menu selections will be presented like this: File | Open, which means that you should open the File menu, and then make the Open selection.

Symbols
Applicable to surfaces
Applicable to images
Available in the LE version
Full Version
Full version or higher required
AQ version or higher required
Other places to get help

The Online FringeSoft website

A list of Frequently Asked Questions

The Online List of Known Problems

Submit a Online Bug Report

Contact Online support

See Also

Other Resources

Help Topics

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.

Send Feedback on this topic to support@fringesoft.com.


Context Help

Context Help Phase MOSAIC

Use this command to obtain help on some portion of Phase MOSAIC. When you choose the toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the Phase MOSAIC window, such as another toolbar button. The help topic will be shown for the item you clicked.

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Basic concepts

Basic concepts Phase MOSAIC

Phase MOSAIC is a surface and image processing and analysis program. It was built as a tool to register multiple sets of data from phase-shifting interferometers. The "MOSAIC" in Phase MOSAIC stands for Multiple Overlapping Sub-Aperture Interferometric Calculation. Phase MOSAIC has evolved into a general purpose tool for surface and image analysis.

Basic Concepts

Phase MOSAIC analyzes surface and image data. Fundamentally, each contains numbers arranged in a raster format. Additionally, Phase MOSAIC includes other data elements. Here are the elements of surfaces and images:

The coordinate system is used to map the raster information to "real world" global coordinates. This can be set up to interpret the raster information with a specified rotation, translations, and scaling.

Fiducial groups are a collection of locations specified in the raster information. Phase MOSAIC supports sub-pixel fiducial locations that can be used for fitting coordinate systems or placing mask elements, etc.

Note text can be included with data to document a series of operations, summarize calculation results, or any other distinguishing information that may be helpful to include with the data.

Images are represented by a single array of raster information. Ordinary image file formats usually only support raster data. Each raster pixel value represents color. Phase MOSAIC supports an additional image file format which includes the other elements. Phase MOSAIC can display common graphics file formats, as well as adding and editing the other elements.

In order to automatically process large amounts of surface and image data, Phase MOSAIC manages lists. Surface and image lists are sequences of entities that is represented by a single ASCII file containing a series of file names on each line. New surfaces or images can be produced using list entries. See Using Lists.

See Also

Other Resources

Using Lists

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Using the menus

Using the menus Phase MOSAIC

Menus

File menu

Edit menu

Acquire menu

Modify menu

Analysis menu

View menu

Window menu

Help menu

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


File Menu

File Menu Phase MOSAIC

The File menu offers the following commands: The Main toolbar can also be used.

Commands
New | Creates a new document.
Open | Opens an existing document.
Close | Closes an opened document.
Save | Saves an opened document using the same file name.
Save As | Saves an opened document to a specified file name.
Send | Send the open document using e-mail.
Print | Prints a document.
Print Preview | Displays the document on the screen as it would appear printed.
Print Setup | Selects a printer and printer connection.
Exit | Exits Phase MOSAIC.
See Also

Other Resources

Using the toolbars

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


New

New Phase MOSAIC

Use this command to create a new document in Phase MOSAIC. Select the type of new file you want to create in the File New dialog box.

You can open an existing document with the Open command.


Save

Save Phase MOSAIC

Use this command to save the active document to its current name and directory. When you save a document for the first time, Phase MOSAIC displays the Save As dialog box so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As command.


Save As

Save As Phase MOSAIC

Use this command to save and name the active document.

Save As command (File menu)

Phase MOSAIC displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command.


Open

Open Phase MOSAIC

Use this command to open an existing document in a new window. You can open multiple documents at once. Use the Window menu to switch among the multiple open documents. See Window 1, 2, | command.

You can create new documents with the New command.


Send Mail

Send Mail Phase MOSAIC

Use this command to send the active document through e-mail.

Send command (File menu)

This command presents a mail window with the active document attached to it. You may then fill out the To field, Subject field, and so on, and add text to the body of the message. When you are finished, you can click the Send button to send the message.


Exit

Exit Phase MOSAIC

Use this command to end your Phase MOSAIC session. You can also use the Close command on the application Control menu. Phase MOSAIC prompts you to save documents with unsaved changes.


Print

Print Phase MOSAIC

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.


Print Preview

Print Preview Phase MOSAIC

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.


Print Setup

Print Setup Phase MOSAIC

Use this command to select a printer and a printer connection.

Print Setup command (File menu)

This command presents a Print Setup dialog box, where you specify the printer and its connection.


Close

Close Phase MOSAIC

Use this command to close all windows containing the active document. Phase MOSAIC suggests that you save changes to your document before you close it. If you close a document without saving, you lose all changes made since the last time you saved it. Before closing an untitled document, Phase MOSAIC displays the Save As dialog box and suggests that you name and save the document.


Open Most Recently Used Documents

Open Most Recently Used Documents Phase MOSAIC

Use the numbers and filenames listed at the bottom of the File menu to open the last documents you closed. Choose the number that corresponds with the document you want to open.


Edit Menu

Edit Menu Phase MOSAIC

The Edit menu offers the following commands:

Commands
Undo | Reverse previous editing operation.
Cut | Deletes data from the document and moves it to the clipboard.
Copy | Copies data from the document to the clipboard.
Paste | Pastes data from the clipboard into the document.


Undo/Redo

Undo/Redo Phase MOSAIC

Single level undo/redo is available for most operations under the Edit menu. This will allow the file state to be restored after a tool is applied (Undo), or re-applied (Redo) to a previously undone state.

Applies To

Minimum Version

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Cut

Cut Phase MOSAIC

Use this command to remove the currently selected data from the document and put it on the clipboard. This command is unavailable if there is no data currently selected.

Cutting data to the clipboard replaces the contents previously stored there.


Paste

Paste Phase MOSAIC

Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty.


Copy

Copy Phase MOSAIC

Use this command to copy selected data onto the clipboard. This command is unavailable if there is no data currently selected.

Copying data to the clipboard replaces the contents previously stored there.


View Menu

View Menu Phase MOSAIC

The View menu offers the following commands:

Commands
Main Toolbar | Shows or hides the main toolbar.
Acquire Toolbar | Shows or hides the acquire toolbar.
Modify Toolbar | Shows or hides the modify toolbar.
Analysis Toolbar | Shows or hides the analysis toolbar.
Mask Toolbar | Shows or hides the mask toolbar.
Path Toolbar | Shows or hides the path toolbar.
Status Bar | Shows or hides the status bar.
Primary Video | Shows or hides the primary live video window.
Auxilliary Video | Shows or hides the auxilliary live video window.
Zoom In | Zooms the active plot window in 200%.
Zoom Out | Zooms the active plot window out 50%.
Font | Selects a font to use for all plot windows.
Set Max Display Limit | Tool to set the upper display limit for the active plot window.
Set Min Display Limit | Tool to set the lower display limit for the active plot window.


Main Toolbar

Main Toolbar Phase MOSAIC

Use this command to display and hide the main toolbar, which includes buttons for some of the most common commands in Phase MOSAIC, such as File Open. A checkmark appears next to the menu item when the toolbar is displayed.

See Also

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Display Status Bar

Display Status Bar Phase MOSAIC

Use this command to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and keyboard latch state. A checkmark appears next to the menu item when the status bar is displayed.

See Also

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Window Menu

Window Menu Phase MOSAIC

The Window menu offers the following commands, which enable you to arrange multiple views of multiple documents in the application window:

Commands
New Window | Creates a new window that views the same document.
Cascade | Arranges windows in an overlapped fashion.
Tile | Arranges windows in non-overlapped tiles.
Arrange Icons | Arranges icons of closed windows.
Window ... | Goes to specified window.


Arrange Windows

Arrange Windows Phase MOSAIC

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this document window.


Display Open Window

Display Open Window Phase MOSAIC

Phase MOSAIC displays a list of currently open document windows at the bottom of the Window menu. A checkmark appears in front of the document name of the active window. Choose a document from this list to make its window active.


Next Open Window Command

Next Open Window Command Phase MOSAIC

Use this command to switch to the next open document window. Phase MOSAIC determines which window is next according to the order in which you opened the windows.


Previous Open Window Command

Previous Open Window Command Phase MOSAIC

Use this command to switch to the previous open document window. Phase MOSAIC determines which window is previous according to the order in which you opened the windows.


New Window

New Window Phase MOSAIC

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows containing the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.


Split Window

Split Window Phase MOSAIC

Use this command to split the active window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing es cape keeps the splitter bars in their original location. << In a single document interface application, this command will appear on the View menu. >>


Cascade

Cascade Phase MOSAIC

Use this command to arrange multiple opened windows in an overlapped fashion.


Tile Windows

Tile Windows Phase MOSAIC

Use this command to arrange multiple opened windows in a nonoverlapped fashion.


Tile Horizontal

Tile Horizontal Phase MOSAIC

Use this command to vertically arrange multiple opened windows in a nonoverlapped fashion.


Tile Vertical

Tile Vertical Phase MOSAIC

Arranges windows vertically

Tile Vertical command (Window menu)

Stacks windows and enlarges them to fill available space.


Switch To

Switch To Phase MOSAIC

Use this command to display a list of all open applications. Use this task List to switch to or close an application on the list.

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Specifies the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


Help Menu

Help Menu Phase MOSAIC

The Help menu offers the following commands, which provide you assistance with this application:

Commands
Help Topics | Offers you an index to topics on which you can get help.
About | Displays the version number of this application.


About

About Phase MOSAIC

Use this command to display the copyright notice and version number of your copy of Phase MOSAIC.


Help Topics

Help Topics Phase MOSAIC

The online help can be opened using the Help menu item.

Help Topics command

Use this command to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using Phase MOSAIC and various types of reference information.

Once you open help, you can click the Contents button whenever you want to return to the opening screen.


Using the toolbars

Using the toolbars Phase MOSAIC

The toolbars are displayed across the top of the application window, below the menu bar. A toolbar provides quick mouse access to many tools used in Phase MOSAIC.

To hide or display any of the toolbars, toggle the View | Toolbars and Docking Windows menu.

Toolbars

Standard toolbar

Modify toolbar

Analysis toolbar

Acquire toolbar

Mask toolbar

Path toolbar

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Status Bar

Status Bar Phase MOSAIC

The status bar is displayed at the bottom of the Phase MOSAIC window. To display or hide the status bar, use the View | Status Bar menu command.

Command Status Area

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button. Status messages from interactive plot cursors are also shown in the left area of the status bar.

Currently executing commands will display status messages in the left area of the status bar and include a progress indicator during lengthy operations. Execution can be aborted by using the cancel button next to the progress indicator.

Pixel Information

The area to the right of the command status provides summary information regarding the current surface or image pixels:

Pixel info and Histogram buttons - Pixel size in the coordinate system and the statistical distribution of surface heights, if available.

Pixel Array Size - Height and Width in pixels of the pixel data array.

RMS of the pixel values.

Zoom Control

The far right area of the status bar provides zoom control of the currently selected analysis.

The Zoom level dropdown box will set the zoom to specific presets.

A Zoom slider can set the continuous zoom level between presets.

The Autoscale button can be used to quickly autoscale plot limits to allow full data to be visualized.


Title Bar

Title Bar Phase MOSAIC

The title bar is located along the top of a window. It contains the name of the application and document.

Title Bar

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar contains the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Combining Data

Combining Data Phase MOSAIC

Surfaces or images can be combined using the Combine menu item. These tools modify the current surface or image using information from other entire surfaces or images. All of these operations use the coordinate system specified in each surface or image to combine or compare data.

Applies To

Minimum Version

Full Version

Operations
Register combines surfaces by overlaying pixels. The specified surface file is adjusted to match user-specified aberrations in the overlap area before combining. To match surfaces using fiducials, use the Coordinate System | Match | Fiducial Groups menu command on each surface or image file before registering. More details about this operation can be found here. Images are overlaid using a similar process, however, color balance is modified instead of aberrations.
Sum and Difference results in the sum or difference of heights with another surface. Both pixels must be valid to result in a valid pixel. (surfaces only).
Maximum and Minimum results in the highest or lowest of heights compared with another surface at each pixel. Both pixels must be valid to result in a valid pixel.
Modulation calculates how much the pixel values change over the list of surfaces or images. It is calculated from the maximum and minimum pixel values of the sequence: (maximum - minimum) / (maximum + minimum). Modulation is normalized to 1. (Images only).
See Also

Other Resources

Registration

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Frame operations

Frame operations Phase MOSAIC

Frame operations can be accessed using the Combine menu item. These tools modify the current surface or image using information from other entire surfaces or images. All of these operations use the coordinate system specified in each surface or image to combine or compare data.

Applies To

Minimum Version

Full Version

Operations
Register combines surfaces by overlaying pixels. The specified surface file is adjusted to match user-specified aberrations in the overlap area before combining. To match surfaces using fiducials, use the Coordinate System | Match | Fiducial Groups menu command before registering. More details about this operation can be found here. Images are overlaid using a similar process, however, color balance is modified instead of aberrations.
Add and Subtract results in the sum or difference of heights with another surface. Both pixels must be valid to result in a valid pixel. (surfaces only).
Maximum and Minimum results in the highest or lowest of heights compared with another surface at each pixel. Both pixels must be valid to result in a valid pixel.
See Also

Other Resources

Registration

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Registration

Registration Phase MOSAIC

Registration provides a way to "stitch" more than one surface or image together. It relies on the fact that surfaces and images in Phase MOSAIC contain a global coordinate system. Each surface or image is compared pixel by pixel relative to this coordinate system. Because of this, Phase MOSAIC provides great flexibility in modifying the coordinate system for each surface or image. For surfaces, overlapping pixels are fitted with Zernike polynomials and used to adjust each surface to merge the data sets. Each Zernike polynomial uses the same normalization radius and coordinate system origin. Surface height values are averaged to produce the final surface height. Statistics for the surface height values at each global coordinate system position can be generated, see Pixel overlay statistics. For images, color values are compared and averaged to produce the final pixel data. See Frequently Asked Questions.

Applies To

Minimum Version

Full Version

Steps to Stitch Surfaces

  1. Attach a global coordinate system to each individual subaperture surface

    • This can be done by matching fiducials to real world coordinates.
    • This can be done using knowledge of translations from a motion system.
    • The origin of the global coordinate system is used to define the center of the Zernike unit circle for allowable aberrations

  2. Determine the allowable aberrations to adjust between all of the subapertures

    • These are the allowed “degrees of freedom” in Zernike polynomial space
    • These aberrations are usually due to misalignments between measurements of each subaperture
    • The origin of the global coordinate system is used to define the center of the Zernike unit circle for allowable aberrations

  3. The algorithm will adjust the aberrations of each subaperture to match in the overlap region

    • Subapertures are stitched sequentially
    • Want the area of overlap to be as large as possible for each stitch operation
    • The order of subapertures can be chosen to maximize the overlap area for each stitch operation while distributing errors over the unit circle

  4. The adjusted surface height data is overlaid in the global coordinate system

    • Remove the allowable aberrations from the full stitched surface (optional)
    See Also

    Other Resources

    Frequently Asked Questions

    Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Pixel overlay statistics

Pixel overlay statistics Phase MOSAIC

Phase MOSAIC can optionally generate pixel overlay statistic surfaces from calculations where lists of surfaces are combined. These calculations include registration and averaging. Statistics are calculated at each position over the surface series and mapped to a surface height.

Applies To

Minimum Version

Full Version

Statistics
P-V - Surface height at each pixel is the maximum pixel value at that location in the series minus the minimum value.
RMS - Surface height at each pixel is the root mean square deviation of each pixel value in the series from the average value.

In areas which contain less than two valid pixel overlay areas, each of these statistics will be zero.


Modifying data

Modifying data Phase MOSAIC

Each of the data elements contained in a surface or image is modifiable using the Modify menu items. The Modify toolbar can also be used:

Applies To

Minimum Version

Full Version

Commands
Pixels
Modifying the coordinate system
Fiducial editor
Notes editor
See Also

Other Resources

Using the toolbars

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Modifying pixels

Modifying pixels Phase MOSAIC

Pixel values can be modified by using the Modify | Pixels menu item.

Point operations

These operations modify each pixel value individually.

surfaces Scale
surfaces Erosion
surfaces Images Masking
Frame operations

These operations modify the pixel values using other surfaces or images.

surfaces Images Registration
surfaces Add/Subtract
surfaces Images Maximum/Minimum
Resampling

These operations interpolate the pixel data to a new pixel array.

surfaces Images Square Pixels
surfaces Images Arbitrary
Cropping

These operations reduce the total number of pixels in the pixel array.

surfaces Images To Valid Data
surfaces Images To Display Limits
Modify by Zernike/Seidel

These operations modify pixel values using Zernike polynomials.

surfaces Remove Aberration
surfaces Add/Subtract Zernike
surfaces Add/Subtract Fit


Point operations

Point operations Phase MOSAIC

Point operations can be accessed using the Modify | Pixels | Point menu item. These tools modify pixel data individually.

Scale

Applies To

Minimum Version

Full Version

Scale changes pixel values by a multiplicative scale factor. Scale factors must be non-zero.

Erode

Applies To

Minimum Version

Full Version

Erode reduces the number of valid pixels based on specified criteria. This is normally used to reduce noisy pixels. For furthur information see Erosion.

Mask

Applies To

Minimum Version

Full Version

Mask specifies regions of pixel values to include or exclude from calculation. Use the Apply Mask menu item or mask apply button button to make masked region pixels non-valid. The Save Mask menu item or mask save button button will allow the currently defined mask to be saved to a file. Load Mask or the mask load button button will append a previously stored mask to the currently defined mask. Toggling the Display mask toolbar menu item will make the mask toolbar visible or remove it from the workspace. See Masking.

See Also

Other Resources

Masking
Erosion

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Masking

Masking Phase MOSAIC

Masks can be defined to invalidate pixels either outside or inside a region. A mask is created by specifying a collection of mask primitives. Primitives are combined using logical operators to determine the overall effect of the mask on a specific location. Commands regarding mask creation and modification can be found under the Masks menu item. Masking also uses the mask toolbar:

Applies To

Minimum Version

Mask Primitives

Three types of mask primitives are supported in Phase MOSAIC:

Circle | Center and radius are specified.
Polygon | A series of connected vertices are specified.
Ellipse | Center, major and minor semi-axes, and position angle are specified.
Defining Masks
Create | Select one of the primitive buttons before clicking and dragging on the view window to generate a mask primitive with default characteristics.
Load | Previously stored masks can be retrieved and added to the existing collection of mask primitives. The mask load button button can also be used.
Clear | Removes all defined mask primitives. The mask clear button button can also be used.
Save | Stores the currently defined mask to disk. The mask save button button can also be used.
Modify by mouse | Mask primitives can be modified by clicking and dragging either the drag handle or mask boundary of a mask primitive.
Modify by dialog | Mask primitives can also be modified by right-clicking a drag handle or mask boundary and selecting the Properties menu item. Parameters relating to the selected mask primitive can be specified.
Overlay Mode Each mask primitive combines with previous primitives using an overlay mode. This is a logical operator used to determine the overall mask state at a particular location. The mask state at a particular position can be thought of as the result of a sequential equation involving each primitive's state and its' overlay mode as the operator. The primitive's overlay mode can be changed by right-clicking a drag handle or mask boundary and selecting the Properties menu item. Use the combo box to select the appropriate mode. A table of choices and their results is given below:
Overlay Mode | If Primitive Masked | If Primitive Unmasked
Add (Default) | result masked | previous result
Multiply | previous result | result unmasked
Subtract | previous result | result masked
Invert | inverse of previous result | previous result
Clipboard Operations | Mask primitives can be cut or copied to the clipboard by right-clicking a drag handle or mask boundary and selecting the Cut or Copy menu item. Mask primitives stored in the clipboard can be pasted to the view by right-clicking any other point and selecting Paste Mask Element.
Applying the Mask

Minimum Version

Full Version

Remove | Mask Allow the currently defined mask to change the pixel data. Pixels in masked regions are made non-valid. The mask apply button button can also be used. If the mask is no longer needed, it can then be cleared.


Erosion

Erosion Phase MOSAIC

Erosion reduces the number of valid pixels based on specified criteria. This is normally used to reduce noisy pixels. Erosion can be accessed using the Modify | Pixels | Point | Erode menu item.

Applies To

Minimum Version

Full Version

Erode Outliers

Invalidates pixels whose height is outside a specified range. The range is specified as symmetric about the mean height value. The symmetric limit is specified in units of standard deviations (sigma) of the surface height distribution. The surface height histogram can be plotted using Analysis | Statistics | Histogram. See Statistics. The highlighted areas of the histogram below represent the pixels that would be invalidated if +/- 1 sigma was specified as the rejection limits.

erode outliers plot

Erode Regions

Invalidates pixels on the edge of groups of pixels. The number of pixels to erode along the edge is specified.

See Also

Other Resources

Statistics

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Resampling

Resampling Phase MOSAIC

Resample operations can be accessed using the Tools | Pixel Processing | Resample menu item. These tools interpolate new pixel data from existing pixel data. These operations can be used to change the pixel aspect ratio of the data.

Applies To

Minimum Version

Full Version

Square Pixels - Resamples a new pixel array such that pixels have the same physical height and width and are aligned with the coordinate system. Dimensions of the new array size are specified with the Resample dialog. Ratio between Rows and Columns is constrained to bound the current data array limits and result in square pixels.
Arbitrary | - Resamples a new pixel array such that pixels can be rectangular and are aligned with the coordinate system. Dimensions of the new array size are specified with the Resample dialog. Ratio between Rows and Columns is not constrained. The resulting array will bound the current data array limits.
Interpolation

Resampling involves calculating surface height at a specified location in the pixel array. By default, Phase MOSAIC finds the new height by selecting the nearest pixel value to the new pixel position. This may result in cyclic data artifacts in the new pixel array. Select the Bilinear Interpolation option to interpolate new values using the surrounding individual pixel values. This option removes cyclic artifacts, however, may artificially smooth the data.

See Also

Other Resources

FAQ #5
2D Surface View

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Cropping

Cropping Phase MOSAIC

Crop operations can be accessed using the Remove | Crop menu item. These tools remove pixel data from the existing pixel array.

Applies To

Minimum Version

Full Version

Crop To Valid Data

Removes rows and columns of entirely non-valid pixel data from the outside of the pixel array.

Crop To Display Limits crop icon

Removes pixels outside the current 2D plot display limits. Resamples a new pixel array such that pixels have the same physical height and width and are aligned with the coordinate system. Dimensions of the new array size are specified with the Resample dialog. Ratio between Rows and Columns is constrained to bound the current display limits and result in square pixels. See Sampling | Resample | Square Pixels. The resulting array will be bounded by the current display limits.

See Also

Other Resources

Resampling

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Modify by Zernike/Seidel

Modify by Zernike/Seidel Phase MOSAIC

Surfaces can be modified using Zernike or Seidel polynomials using the Modify | Pixels | Zernike/Seidel menu item.

Applies To

Minimum Version

Full Version

Remove Aberration

Zernike polynomials can be fitted to the data and automatically subtracted using the Remove Aberration dialog box. This dialog box enables any combination of Zernike terms to be selected using the Aberration tab. Selected polynomials are indicated by a check mark in the box next to the term. The Zernike terms are visually represented three ways: Seidel, Zernike Transform, and a Polynomial List. Combinations of polynomials can be quickly selected using the Radial, Angular, Select All, and Clear All buttons. The highest order Zernike term and the normalization radius of the aberration can be modified using the edit boxes. The Fit Preferences tab can be used to change the number of points to sample for the fit.

Adding or Subtracting Aberrations

Arbitrary Zernike polynomial surfaces can be added to or subtracted from the surface. Use Modify | Zernike/Seidel | Add Zernike or Subtract Zernike menu items while in a Zernike/Seidel fitting window, or use Tools | Fitting | Add Zernike or Subtract Zernike menu items if in another surface view. Zernike coefficients and normalization radius of the polynomial to add or subtract is specified using the Zernike Polynomial Editor

Adding or Subtracting Fitted Zernike Polynomials

If a fit has been calculated, the fitted surface can be added or subtracted from the current surface.

See Also

Other Resources

Zernike Transform
Fitting
Zernike editor

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Modifying the coordinate system

Modifying the coordinate system Phase MOSAIC

Coordinate system tools can be accessed using the Transform | Align menu item. These tools modify the current coordinate system that is overlayed on the pixel data.

Applies To

Minimum Version

Transforming Surfaces and Images
Translate Origin will shift the center of the coordinate system to either the Centroid (surfaces only) centroid icon , Data Center, Corner, or an Arbitrary point, which will bring up a dialog box for user-defined translation distances. The centroid of the data is defined to be the vector average of all of the valid data pixels - all of which have equal weight.
Rotate the coordinate system 90°ccw, 90°cw, 180°, or an Arbitrary amount which will ask the user for the rotation amount in degrees. Rotations refer to the coordinate system, so a positive angle rotates the coordinate system counter-clockwise which makes the pixel data apear to rotate clockwise.
Match allows the user to import the coordinate system from an existing File, or Fiducial Group(s) allows the user to fit a coordinate system so that the least-square error between a fiducial group in the current data and another fiducial group is minimized. The fiducial editor window on the right of the Match Fiducials dialog allows the user to manually enter fiducials or load fiducial groups from other files. The units of the groups to match may be changed using the Match Units list box below the editor. Highlighting corresponding groups on the left and right of the dialog allows a matching coordinate system to be calculated. The RMS error between the transformed fiducial coordinates and the target coordinates is displayed. To commit to the new coordinate system select the OK button.
Scale changes the coordinate system or pixel data scaling. Fiducial Distance scale distance button allows the user to define the X and Y scale using a known distance between any 2 fiducials. This feature can be used to upgrade the fundamental intrinsic unit from pixel widths to millimeters by choosing millimeter derived predefined units in the units pull-down box.

Pixel Size scales the pixel size by a specified scale factor. The aspect ratio of the pixel can be preserved using the Lock Aspect checkbox.

Height scales the pixel data by a specified scale factor.

Arbitrary allows the user to define X, Y, and Z scaling factors. X, Y, or Z scaling factors can be negative to allow for flipping or mirroring the coordinate system. The X and Y scaling can be specified independantly by deselecting the Lock Aspect checkbox.

See Also

Other Resources

Fiducial editor

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Units

Units Phase MOSAIC

The representation of dimensional quantities is changed using the Units menu item or the units button button. Changes to units will update in all open views of the surface or image.

Applies To

Minimum Version

Units Dialog

The units dialog allows new units to be specified for any or all of the coordinate system axes. Select the new unit with the list box. If "custom" is selected, a user-defined unit label and scale factor can be entered.


Fiducial editor

Fiducial editor Phase MOSAIC

Fiducials are groups of reference positions on a surface or image.

Applies To

Minimum Version

Editing Fiducial Groups

Fiducial groups are managed in Phase MOSAIC/Phase MOSAIC LE using the fiducial editor dialog box. This can be activated using the fiducial button Edit fiducial button on the button bar or Modify | Fiducials using the menu. To expand or collapse nodes in the tree, click the + or - symbol on the node.

Add | Adds new groups or fiducials to an existing group.
Delete | Removes the selected group or fiducial from the tree.
Edit | Opens a dialog box to change the fiducial coordinates or group name of the selected item. If a group is selected, the group can be marked as hidden. This allows the group to normally not be displayed in surface views.
Move Up/Move Down | Moves the selected fiducial or group higher or lower in the tree. Can be used to move fiducials into a different group.
Merge | This will add any fiducial groups found in the selected file to the current fiducial group tree.
Clipboard | Fiducials can be transferred between fiducial editor dialogs using the Windows clipboard. Right-clicking in the tree view will allow the currently selected fiducial or group to be cut or copied to the clipboard. Clicking in an empty area will allow pasting clipboard contents to the end of the tree.


Notes editor

Notes editor Phase MOSAIC

Edits miscellaneous text information associated with an image or surface.

Applies To

Minimum Version

Notes Editor

Note text can be modified using the notes editor. Access the editor using the notes button Edit notes button on the button bar or use the Modify | Notes menu item. The editor supports Windows cut and paste operations. Text in the clipboard can be inserted using the Shift-Insert key combination. Notes can be cut to the clipboard by selecting the text to cut and using the Shift-Delete key combination.

See Also

Other Resources

Basic concepts

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Zernike editor

Zernike editor Phase MOSAIC

Zernike polynomials that are used in Phase MOSAIC calculations can be specified using the Zernike Polynomial Editor.

Applies To

Minimum Version

The dialog consists of a list of coefficients, an order specifier, and a normalization radius. Each coefficient value is editable - highlight the desired coefficient with the mouse or arrow keys and left-click with the mouse to edit the value. If a coefficient is highlighted, it can be set to zero using the Zero Selected button. The entire list can be zeroed using the Zero All button. The list supports Windows conventions for multiple selection. Left-click and drag a selection box to select multiple coefficients. Control-Left-click will select non-sequential coefficients or Shift-Left-click to select an entire range. The Zero Selected button will zero out selected coefficients.

The maximum order integer will dynamically change the number of coefficients that can be specified. The normalization radius can be any positive floating-point distance. The Zernike polynomials used in Phase MOSAIC are specified here.

See Also

Other Resources

Zernike and Seidel Aberrations

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Analyzing data

Analyzing data Phase MOSAIC

Surfaces and Images can be analyzed using the Analysis menu item. Alternatively, the Analysis toolbar can be used:

Applies To

Minimum Version

Commands
Phase Analysis
Fitting
Profiles
Statistics
Simulation
Combining Data
Paths
Using Lists
Pixel Information
See Also

Other Resources

Calculation options
Using the toolbars

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Calculation options

Calculation options Phase MOSAIC

Phase MOSAIC can provide many different analyses of surfaces, images, and lists. Each of these calculations uses a set of parameters that can be changed using the View | Calculation Options | Edit menu item or the calc options icon button.

Applies To

Minimum Version

Using Calculation Options

Individual calculation options can be managed by right-clicking in the plot and choosing Properties menu items:

Edit | displays a tabbed dialog box in which the properties of the calculation can be specified. Possible choices include resolution, parameters, and plot layouts. Description of each calculation is shown here.
Save | stores the options as an XML formatted file for later use. This allows for many options to be used in different calculations.
Load | retrieves options previously stored using theSave command.
Restore | can be used to return calculation options to their settings before their last modification.


Plots and Views

Plots and Views Phase MOSAIC

Phase MOSAIC contains many plots and views of calculated data. The types of data plots are described here. Each plot can control how its data is displayed:

Applies To

Minimum Version
Fonts

The font used in the data plots may be changed by using the View | Font menu item or the font button button. The font can be changed with the font dialog box:

The font change will affect the displayed fonts in all plots and views.

Zooming

Plots show data over fixed limits. These limits may be different than the total data extent. In order to easily expand or contract display limits in plots, Zoom menu items and buttons are provided. Right-click in the plot and choose the Zoom menu items. Zoom | Autoscale will set the limits to the data extents. Most views also provide Zoom functions through buttons on the main tool bar:

These buttons provide Zoom Autoscale, Zoom 200%, and Zoom 50% functionality with the main plot in the view. Shortcut keys Ctrl++ or Ctrl+- can also be used to Zoom In or Zoom Out, respectively.

Plot Properties

Individual plot properties can be managed by right-clicking in the plot and choosing Properties menu items:

Edit displays a tabbed dialog box in which the properties of the plot can be specified. Possible choices include plot limits, display styles, and data representations. Description of each plot type is shown here.
Save stores the properties as an XML formatted file for later use. This allows for many settings to be used in different plots.
Load retrieves properties previously stored using the Save command.
Restore can be used to return plot properties to their settings before their last modification.
See Also

Other Resources

Plots

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Plots

Plots Phase MOSAIC

Various plots for representing data are used in Phase MOSAIC. Right clicking in the plot area will display a menu of options to change how the data is displayed and allow for the export of data to other applications via the clipboard. Here are examples of the various plot types:

Applies To

Minimum Version
1D data plots

2D data plots

Text plots

Text contained in a text plot can be copied to the clipboard. Right-click and select Copy Text. To copy the graphic version of the plot, select Copy Graphic. See Exporting - clipboard. If Properties is selected, 3D effects with or without the inset can be chosen.

See Also

Other Resources

Exporting Data

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


False color palettes

False color palettes Phase MOSAIC

False color palettes are used in Phase MOSAIC to represent height in surface plots. The false color palette can be chosen for 2D and 3D Surface plots in the Preferences dialog. Built-in palettes are provided as well as a custom setting. If Custom is selected, the Customize | button will be active.

Applies To

Minimum Version

Selecting False Color Palettes

false color palette

Custom palettes can be edited using the Cusomize Palette dialog:

Custom palettes are defined using a set of pegs that can be positioned within the palette range. Pegs are added by selecting a color using the filled color button and using the <= Add button. The pegs can be moved anywhere within the range by left-dragging with the mouse. Each peg's color can be edited by selecting the peg markers in the palette window on the left with the mouse and using the filled color button under Selected Peg. Extra colors used to represent invalid data pixels and data outside the plot limits are similarly set using the filled color buttons. When the desired palette is specified, the Save button will allow the edited palette to be saved to disk. Saved palettes can be restored using the Load button. Color palettes use the *.fcp extension. A selection of color palettes can be found in the Examples\color palettes directory.


2D Surface View

2D Surface View Phase MOSAIC

The 2D Surface View

Applies To

Minimum Version

Working with the 2D Surface View

Cursor - A live crosshair cursor is activated by placing the cursor over the image area. Exact surface coordinates of the cursor is displayed on the status bar.

Zooming -The user can enlarge a selected area by left clicking and dragging the cursor to encompass the desired zoom area. As the cursor is dragged, the relative surface coordinates are also displayed on the status bar. Left clicking once in a zoomed surface view will return the full surface view.

Overview - The current zoom limits are represented in the overview image between the coordinate rulers.

Modiyfiying the palette - The user can change the color palette used to represent surface heights by right-clicking the image area and selecting Properties | Edit context menu, or using the View | Calculation Options | Edit menu item. See Calculation Options below.

Image sampling - The resolution of the image representation of the surface can be changed using Properties | Edit context menu and changing the Render Resolution combobox on the Preferences tab. More resolution results in longer rendering times, whereas less resolution shows a blockier image. Best results are obtained where the resolution is chosen to be nearly the same as the width in pixels of the data to be viewed. This setting will affect all other open 2D surface views. See Calculation Options below.

Modifying axis properties - Axis properties may be modified by right clicking and selecting Properties | Edit. Individual X, Y, and Z axes are modified separately in each axis tab. The user may define the limits to display and the units to use. Limits can be edited directly or autoscaled based on the extreme values in the data files by clicking in the autoscale checkbox. Units can be changed by using either custom or predefined units which are accessed with the units listbox. Custom units can be defined by entering the size of the custom unit relative to the millimeter. The intrinsic unit will use either pixel widths or mm, depending on if a distance scale has been defined. (See Transform | Align | Scale | Fiducial Distance.) Intrinsic units have the same dimension independent of direction. Units alone can be modified by using the units button Units button on the main toolbar. See Units.

Eyedroppers - An alternate method of setting palette limits uses the eyedroppers located in the main tool bar. You may change either the minimum or maximum display unit value by clicking on the eyedropper then selecting the color within the surface display that represents the desired minimum or maximum display value. Data outside the proscribed limits will display as black. See Setting Display Limits.

File notes - File notes are displayed on the right side of the plot. File notes may be edited using the Notes menu which will then display the notes editor. See Notes Editor.

Adding fiducials - Fiducials may be added by right clicking with the mouse while the cross hairs are displayed on the active surface. Select the Add Fiducial Here menu item. The fiducial editor is then displayed to allow for any modification of the added fiducial. Clicking on the "+" node next to the fiducial group in the tree view will then display the individual fiducials. See also the Fiducial Editor.

Editing Fiducials - The fiducial editing window may be accessed on the menu bar under Fiducials. First select the group or fiducial you wish to edit then either click the Add, Delete or Edit button . You may modify the name of the group by selecting the group label or you may modify the values by selecting the fiducials themselves. See also the Fiducial Editor.

Translating Center - the coordinate system origin can be translated to any point in the display limits by right clicking an using the Translate Center Here menu item. See also the Transform | Align | Translate Origin | Arbitrary.

Image Export - The displayed surface representation can be saved as a Windows bitmap file. Right-click in the image area and select Save Rendered Image. Enter a file name for the exported file in the Save File dialog box.

Plot Statistics - Statistics of the sampled surface heights used in the plot are available under the Statistics tab. Peak, Valley, RMS, Median, Average, Standard Deviation, and number of valid pixels are given.

Calculation Options calc options icon

Selecting the calculation options button is equivalent to choosing View | Calculation Options | Edit. Here is where aspects of the data representation are chosen. None or partial details of fiducials can be displayed, coordinate axes can be displayed, the color palette is chosen, and rendering resolution is specified.


Setting Display Limits

Setting Display Limits Phase MOSAIC

Display limits

Applies To

Minimum Version

Setting Display Limits

plot limits buttons

You may set the display limits by selecting View | set max display limit or min display limit. You may also click on the eyedroppers located on the main tool bar. In either case the eyedropper tool appears. You may then change either the minimum or maximum display unit value by selecting the color within the surface display that represents the desired minimum or maximum display value. Data outside the prescribed limits will display using the out-of- range color for the palette.
See Also

Other Resources

2D Surface View

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


2D Image View

2D Image View Phase MOSAIC

The 2D Image View

Applies To

Minimum Version

Working with the 2D Image View

Cursor | A live crosshair cursor is activated by placing the cursor over the image area. Exact image coordinates and color under the cursor are displayed on the status bar.
Zooming | The user can enlarge a selected area by left clicking and dragging the cursor to encompass the desired zoom area. As the cursor is dragged, the relative image coordinates are also displayed on the status bar. Left clicking once in a zoomed image view will return the full image view.
Overview | The current zoom limits are represented in the overview image between the coordinate rulers.
Units | Units can be changed by using either custom or predefined units which are accessed with the units listbox. Custom units can be defined by entering the size of the custom unit relative to the millimeter. The intrinsic unit will use either pixel widths or mm, depending on if a distance scale has been defined. (See Modify | Coordinate System | Scale | To Distance.) Intrinsic units have the same dimension independent of direction. Units alone can be modified by using the Units button on the main toolbar. See Units.
Adding fiducials | Fiducials may be added by right clicking on the mouse while the cross hairs are displayed on the active image. The edit fiducial window is then displayed to allow for any modification of the added fiducial. Clicking on the "+" node next to the fiducial group in the tree view will then display the individual fiducials. See also the Fiducial Editor.
Translating Center | the coordinate system origin can be translated to any point in the display limits by right clicking an using the Translate Center Here menu item. See also the Modify | Coordinate System | Translate.
Editing Fiducials | The fiducial editing window may be accessed on the menu bar under Modify | Fiducials. First select the group or fiducial you wish to edit and then either click the add, delete or edit button. You may modify the name of the group by selecting the group label or you may modify the values by selecting the fiducials themselves. See also the Fiducial Editor.
Editing Notes | The editor for the file notes may be accessed choosing Modify | Notes on the menu bar which will then display the notes editor. See also the Notes Editor.
Image Export | The displayed image area can be exported to a Windows bitmap file. Right-click in the image area and select Save Image . Enter a file name for the exported file in the Save File dialog box.
Properties | Axis properties may be modified by right clicking anywhere within the view and chosing Properties | This will activate the image plot properties box .
Image Plot Properties

Image plot properties can be set by right-clicking anywhere within an image plot and chosing Properties . Here is where aspects of the data representation are chosen.

image plot prop

Image Title | Check the Image Title checkbox to display a title bar over the image. The title can be edited in the edit box.
Render Resolution | The sampling of the displayed image representation can be changed. More resolution results in longer rendering times, whereas less resolution shows a blockier image. Best results are obtained where the resolution is chosen to be nearly the same as the width in pixels of the data to be viewed.
3D Effects | Toggles the shadow effects around the title and rulers.
Coordinate Rulers | Toggles display of rulers.

image plot axis prop

Axis Properties Individual X and Y axes are modified separately. The user may then define the limits to display and the axis label to be used. Limits can be edited directly or autoscaled based on the extreme values in the data files by clicking in the autoscale box. Axis labels may be modified using the edit box.


3D Surface View

3D Surface View Phase MOSAIC

The 3D view can be accessed using the View | 3D Surface menu item while viewing surface data. Alternately, the 3dbutton button can be used.

Applies To

Minimum Version

Mouse controls
Rotation | Clicking and dragging the left mouse button results in rotation around the X and Z axes. Clicking and dragging the right mouse button results in rotation around the X and Y axes.
Zoom | Hold the Shift key before clicking and dragging vertically with the left mouse button.
Pan | Hold the Ctrl key before clicking and dragging horizontally or vertically with the left mouse button.
Calculation Options calc options icon

Calculation options for 3D Surface View allow setting the desired resolution of the array for 3D rendering. Lower rendering resolutions will greatly reduce rendering time.

A 2D plot of the surface is also shown. By clicking and dragging a zoom rectangle in the 2D plot, a region to render can be specified. This region will be plotted in the 3D view at the render resolution.

Plot Properties

Right-clicking in the 3D View allows rendering options to be set. Surfaces can be rendered using lines or filled surfaces and the false color palette can be selected. The Z Scale Factor is the desired ratio of the height to width of the bounding box. The bounding box, axis labels, and editable title can be turned on or off.

Using the View tab, the viewpoint angle and position can be manually specified. A specific region of interest can be identified by clicking and dragging a box in the 2D view. The region of interest will be rendered with the same resolution as the default view. The Normalized View Distance can also be specified. This controls how large the 3D surface will appear from the user's viewpoint. If the Animate option is checked, the viewpoint angle will slowly change to allow the surface to be viewed from all sides.

The OpenGL(tm) tab provides information regarding the user's OpenGL(tm) rendering system. Best performance is acheived with hardware rendering. For information on configuring your hardware for OpenGL(tm) hardware rendering, consult your video card manufacturer.


Fitting

Fitting Phase MOSAIC

Phase MOSAIC can fit and manipulate data using Zernike polynomials. A description of these polynomials and their ordering can be found here.

Applies To

Minimum Version

Fitting Zernike and Seidel aberrations

Zernike polynomial coefficients can be calculated for surfaces using the Analysis | Zernike/Seidel | Fit menu option. The resulting view window shows a list of the fitted coefficients int the lower right, the Zernike transform in the lower left, a representation of the normalization radius in the upper left, and statistics of the fit and interpreted Seidel coefficients are in the upper right.

Normalization Radius | A 2D Surface View of the surface with a circle drawn at the current normalization radius used for the fit. The circle is centered on the coordinate system origin.
Coefficient list | List of fitted coefficients using the current Z axis units.
Zernike Transform | A 2-dimensional false-color representation of the coefficients. Coefficients are grouped in a square grid so that surface characteristics are apparent at a glance. Higher-order coefficients are in a line increasing from upper-left to lower-right. The upper-left corner contains the piston coefficient. Coefficients along the main diagonal represent pure radial structure. Lines parallel to the main diagonal represent various types of angular symmetric structure based on the distance from the main diagonal. The diagonal row of values next to the main diagonal have 1-theta dependence, the next 2-theta, etc. Upper diagonal values have sine dependence on this angular function, lower diagonal have cosine dependence. Details can be found here.
Fit Statistics | Shows the number of points actually fitted and the rms and peak to valley error between the these points and the surface. The actual number of points fitted will generally be different from the number of points specified in the Calculation Options dialog box to allow an evenly distributed sampling over the valid data points.
Seidel Coefficients | The inferred Seidel aberration coefficients and directions from the fitted Zernike coefficients. The angular convention defines 0 degrees to the right with angles increasing counter-clockwise (mathematical.)
Calculation Options | The maximum Zernike coefficient to fit can be specified, as well as the normalization radius to use. This is the radius of the unit circle used for fitting. By default, Phase MOSAIC will use the radius of the farthest valid data point from the coordinate system center. The desired number of points to sample can also be modified. More points can be specified for accuracy, however, the fit will take longer to calculate.
Masked Zernike/Seidel Fitting

If a mask is currently defined, aberrations can be fit using only valid data not covered by the mask. The mask does not need to be applied to the data. After a mask has been created in the 2D Surface View, choose Analysis | Zernike/Seidel | Masked Fit. A new fitting window will be created that uses the specified mask.

Masked fitting can be used to compare surfaces before and after manufacturing operations. Load both surfaces and mask regions that were modified on both. Use the same mask for each. Masked fit and remove any aberrations. Save both surfaces and subtract to calculate the effect of only the manufacturing operations.

Generating Surfaces

New surfaces can be created using the Analysis | Zernike/Seidel | Generate menu item. Each type of generated surface can be optionally clipped to the currently defined normalization radius. This means valid data will only exist inside the unit circle used for the Zernike fit. Non-valid data from the current surface can also optionally be copied to the generated surface. These options are chosen using this dialog box before the surface is generated:

Generate surface dlg

The surfaces that can be generated are:

Fitted Surface | The currently fitted Zernike polynomial coefficients and normalization radius are used.
Zernike Surface | Arbitrary Zernike polynomial coefficents and normalization radius are specified using the Zernike polynomial editor.
See Also

Other Resources

Zernike and Seidel Aberrations
2D Surface View
Zernike Transform
Masking
Zernike editor

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Zernike and Seidel Aberrations

Zernike and Seidel Aberrations Phase MOSAIC

Zernike and Seidel Polynomials

Applies To

Minimum Version

Zernike polynomials

Surfaces can be represented by a linear combination of Zernike polynomials.

Z[n] are known as Zernike polynomial coefficients and have units of surface height. Positions are normalized to a unit circle radius so that the polynomials Z(n) are unitless (R = r / Normalization radius.) Here is a partial listing of the Zernike polynomials used in Phase MOSAIC:

Z(0) = 1

Z(1) = R cos(q )

Z(2) = R sin(q )

Z(3) = 2 R2 - 1

Z(4) = R2 cos(2q )

Z(5) = R2 sin(2q )

Z(6) = (3R2 - 2) R cos(q )

Z(7) = (3R2 - 2) R sin(q )

Z(8) = 6 R4 - 6 R2 + 1

Z(9) = R3 cos(3q )

Z(10) = R3 sin(3q )

Z(11) = (4R2 - 3) R2 cos(2q )

Z(12) = (4R2 - 3) R2 sin(2q )

Z(13)= (10R4 - 12R2 + 3) R cos(q )

Z(14) = (10R4 - 12R2 + 3) R sin(q )

Z(15) = 20R6 - 30R4 + 12R2 - 1

Note: In some Zernike numbering orders, the Zernike polynomial series is truncated at Z(35) and the next purely radial polynomial used in place of Z(36). This is not done in Phase MOSAIC. The following pure radial Zernike is Z(48).

Seidel polynomials

The Seidel polynomials can be represented by linear combinations of Zernike polynomials. This means the magnitude of the Seidel polynomial coefficient can be calculated from Zernike polynomial coefficients. Phase MOSAIC adopts the common convention of using only the first eight Zernike coefficients to calculate Seidel coefficients:

Seidel Aberration | Magnitude | Angle
Piston | piston mag |
Tilt | tilt mag | tilt angle
Focus |  |
Astigmatism | astig mag | astig angle
Coma | coma mag | coma angle
Spherical | spherical mag |
See Also

Other Resources

Zernike Transform

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Zernike Transform

Zernike Transform Phase MOSAIC

The Zernike Transform is a plot result used in Phase MOSAIC to graphically represent the composition of surfaces using Zernike polynomial components. The Zernike transform is similar to the Fourier transform in signal analysis. However, instead of plotting magnitudes of frequency components, the magnitude of the Zernike coefficients are plotted. The plot is two dimensional, and represents the coefficient as a false-color surface height.

Applies To

Minimum Version

Interpretation

The coefficients are grouped in a particular order to make it easy to discern the angular and radial characteristics of the fitted surface. The upper-left corner contains the piston coefficient, Z0. Coefficients along the main diagonal represent pure radial structure. Lines parallel to the main diagonal represent various orders of angular symmetric structure based on the distance from the main diagonal. The diagonal row of values next to the main diagonal have 1-theta dependence, the next 2-theta, etc. Upper diagonal values have sine dependence on this angular function, lower diagonal have cosine dependence.

This helps to visually interpret surface characteristics easily.

Examples

This transform shows a surface with only radial symmetric components. The large values far away from the upper left corner also shows that there are significant high order radial terms. These are due to the sharp edge turnover.

This transform shows only angular terms with significant low order values. This results from smoothly varying angular characteristics without any radial symmetry.


Statistics

Statistics Phase MOSAIC

Applies To

Minimum Version

Histogram histogram button

Histogram shows the distribution of surface heights sampled at every data point. This is displayed as a plot of relative frequency vs. surface height. The distribution is normalized so that the area under the curve over all values of surface height is equal to 1. The area between two surface height limits will be the fractional area of the surface having a height between the two limits. In order to allow the integral to represent fractional area, the units of relative frequency are inverse surface height units.

Calculation Options calc options icon

The number of bins can be specified. Less bins smooth the histogram.

Average

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Structure Function

Structure Function Phase MOSAIC

A structure function is a way to represent a surface in the spatial frequency domain. It is similar to the Fourier transform of a surface. It plots the rms of differences of randomly sampled pairs of points on a surface. The pairs are a fixed distance apart and have random orientation. The height difference between the pair of points is tabulated for many locations and the rms of the population tabulated. This is repeated for a range of different pair separations.

Structure functions are commonly used in atmospheric turbulence models. A Kolmogorov atmospheric model characterizes turbulence using a 2/3 power law based on a coherence length. Phase MOSAIC allows the structure function of a surface to be plotted and compared to an atmospheric structure function. This allows a measured surface to be compared to modeled atmospheric turbulence to predict optical performance.

Additional effects modeled using structure functions include scattering effects at high spatial frequency and tilt compensation (pointing error) at low spatial frequencies.

Applies To

Minimum Version

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Phase Analysis

Phase Analysis Phase MOSAIC

Phase analysis calculates surface results from an image list. By using a sequence of interferogram images with nominal 90 degree phase shift, various surface results can be calculated. Phase MOSAIC requires a minimum of 5 - 90 degree phase shifted images for phase calculations.

When two wavefronts are combined in an interferometer, an interference pattern is produced. The intensity at each pixel of an image is given by:

I is the average intensity value of both wavefronts, M is the fringe contrast or modulation, F is the phase difference between the two wavefronts, and q is an applied phase shift to produce the sequence of images. If q is 90 degrees and constant for every pixel, the phase difference can be calculated from the sequence of 5 images.

Applies To

Minimum Version

Full Version

Analyses

Shift calculates the average phase shift that actually occurred between capturing the five images. The algorithm used is:

The phase shift is calculated at each pixel. In represents the intensity at the pixel location for the nth image in the list.

Modulation represents the amount of change of intensity at each pixel. The resulting surface is scaled to 1 and is calculated from the maximum and minimum intensity values found at each pixel location:

Wrapped phase calculates the phase at each pixel from the intensity at each pixel. A 5-bucket algorithm is used which requires 90 degree phase shifted images:

Pixels whose maximum intensity is not greater than the specified threshold or don't have sufficient modulation will not be calculated. Both threshold values are normalized to 1.

Unwrapped phase is similar to calculating Wrapped phase, however the 2 pi phase ambiguities are resolved by tile based phase unwrapping. The calculation options are the same as for Wrapped phase, with the addition of optionally specifying a mask. The mask can be used to remove spurious data which could cause unwrapping errors. See masking for details on using the mask tools.

Unwrapped surface scales the Unwrapped phase result to represent actual surface height. Each 2 pi phase interval represents one wavelength of optical path difference in an interferometer. By specifying the wavelength of light that produced the fringes and applying a wedge factor to relate surface height of the surface in question to the optical path difference, the surface height is displayed.


Profiles

Profiles Phase MOSAIC

Profiles are accessed under Analysis | Profiles on the menu bar.

Average Profiles

Applies To

Minimum Version

average prof button

Displays a Polar Transform , Average Radial Profile and an Average Angular Profile of the data. Placing the cursor over the displays activates a crosshair, the exact coordinates of which are displayed at the bottom of the screen. The polar transform is an "unwrapped" image of the surface around the current coordinate system center.

Calculation Options calc options icon

average prof opt

The number of points to sample for both the radial and angular directions can be specified.

Line Profile

Applies To

Minimum Version

line profile button

Click and drag a line segment across the surface image. The resulting plot is a graph of surface heights along the line between the chosen endpoints.

Calculation Options calc options icon

line profile opt

Allows manual specification of the endpoints of the line profile. The number of samples in the resulting line is specified as the Sample Resolution. Endpoints can be entered in Cartesian X-Y coordinates, polar coordinates, or use the fiducial button and select a specific fiducial in the fiducial editor.

Path Profiles

Applies To

Minimum Version

A variety of vector Paths can be created on a surface. A path profile plot is a graph of surface heights along the path.

Calculation Options calc options icon

path profile options

Allows the choice of path to use for the calculation. The number of evenly spaced samples along the path is specified as the Sample Resolution.


Simulation

Simulation Phase MOSAIC

Simulations

Applies To

Minimum Version

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Interference Fringes

Interference Fringes Phase MOSAIC

Interference fringes can be simulated from a surface using the Analysis | Interference | Fringes menu item while viewing surface data. Alternately, the fringe icon button can be used.

Applies To

Minimum Version

Calculation Options calc options icon

Grayscale only | Interference fringe images are, by default, color coded based on the simulation wavelength. This behavior can be defeated by selecting this option. The interference image will contain only grayscale values.
Max. Image Resolution | The maximum number of horizontal or vertical pixels used in the fringe image.
Wedge factor | Scale factor relating wave of surface height to simulated fringe. 1 fringe is always equal to 1 wave of optical path difference (OPD). For a single pass interferometer with a single reflection from the test surface, this value is 0.5 wave of test surface height error per wave of OPD.
Wavelength | Wavelength of the simulated coherent light source.
Added Piston/Tilts | Piston and tilt terms to add to the simulation. Units are specified in waves of optical path difference.


Polishing

Polishing Phase MOSAIC

Simulate polishing

Applies To

Minimum Version

Full Version undercon

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Pixel Information

Pixel Information Phase MOSAIC

Pixel information shows information related to the array of height values representing the Phase MOSAIC surface. . The array size is shown as well as the size of the pixel mapped onto the surface.

Applies To

Minimum Version

See Also

Other Resources

how Phase MOSAIC represents surfaces


Paths

Paths Phase MOSAIC

Paths can be defined to specify a vector-based trajectory through surface or image data. A path is created by specifying a collection of path primitives. Commands regarding path creation and modification can be found under the Analysis | Paths menu item. Paths also use the path toolbar:

Applies To

Minimum Version

Path Primitives

Three types of path primitives are supported in Phase MOSAIC:

Freeform - A series of connected vertices are specified. The vertices can be modified and moved.
Eccentric - Oscillatory path due to an eccentric motion.
Circular Arc - Center, radius, starting angle, and span angle are specified. Full circles can be added by specifying complete turns.
Editing Paths

Paths are edited by right-clicking along a path trajectory or handle. Choose the Path Properties menu item.

See Also

Other Resources

Using the toolbars

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Exporting Data

Exporting Data Phase MOSAIC

Phase MOSAIC provides many ways to export data for use in other programs.

Applies To

Minimum Version

Printing

Surface and image views will use a grayscale palette if your printer is not capable of printing in color. Full-size presentation quality printer output is available for each window. Use the File | Print Preview menu option to check output.

E-Mail

If a MAPI-compliant e-mail software is installed, files can be directly sent as e-mail attachments from Phase MOSAIC. Select the File | Send . menu item.

Exporting graphics

False color surface representations can be exported as Windows BMP files. Right-click the image area in the 2D surface view and choose Save Image to select an output file name.

Clipboard

Clipboard operations are extensively supported in Phase MOSAIC. They can usually be found by right-clicking in the window of interest or under the Edit menu item. For example, plot data in text or ExcelTM format can be exported to other applications using the clipboard. Right click in the plot and select Copy Data. Graphical images of plots can be exported by selecting Copy Graphic under the same menu. The contents of text summaries, image views, and 2D data plots can be copied by right-clicking the window. See Plots and Views.

See Also

Other Resources

Plots and Views

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


File Formats

File Formats Phase MOSAIC

File formats currently supported in Phase MOSAIC

Image Formats

EIF - Phase MOSAIC extended image file format. This format stores all coordinate system and fiducial information.

JPG - compressed JPEG image file format. As such, this software is based in part on the work of the Independent JPEG Group.

BMP - Microsoft Windows(TM) device independent bitmap image.

Surface Formats

SRF - Phase MOSAIC binary surface. Compressed, efficient binary surface format.

SAF - Phase MOSAIC ASCII surface format. An example file which can be used as a template is provided in the Examples subdirectory after program installation. A more detailed discussion of the structure of SAF files using this example file can be found here.

This is a tagged format text file. Tags consist of labels enclosed by square brackets followed by a CR-LF pair. Data follows the tag. A tag-data pair is defined as a section. Sections are terminated by two CR-LF pairs. Sections can occur in any order in the file with the exception that the [rows] and [cols] sections must occur before the [data] section. Section formats are as follows:

[notes] - Any note text. Text can contain carriage returns or linefeeds.

[rows] - Height of pixel data array. Single integer. Required.

[cols] - Width of pixel data array. Single integer. Required.

[fiducial group] - Fiducial collection. Optional. There may be more than one of these in a file.

Line 1 - Group label.

Line 2 - Optional Hidden flag. If the group is not visible in the default view, use the string "hidden" on this line. If not, the line is not included.

Line N + 2 - U and V coordinates of the Nth fiducial in data array pixel coordinates. The origin of the pixel coordinate system is the upper left corner of the pixel array. U increases to the right, V increases down. The U value is first, the V value is second after an intervening space.

[scale] - Coordinate system definition. Six lines of text:

Line 1 - Intrinsic unit label for X and Y axes. Must be either "pixel width" or "mm"

Line 2 - Set of six coefficients relating pixel coordinates to intrinsic units (a b c d e f.) These are used in the transformation equations:

x = a*u + b*v +c and y = d*u + e*v + f. u,v are in pixel coordinates and x,y are in intrinsic units. The origin of the pixel coordinate system is the upper left corner of the pixel array. u increases to the right, v increases down.

Line 3 - X interpreted scale factor and label. Decimal number and text string. scale * intrinsic coordinate = interpreted coordinate.

Line 4 - Y interpreted scale factor and label. Decimal number and text string. scale * intrinsic coordinate = interpreted coordinate.

Line 5 - Z intrinsic scale factor and label. Decimal number and text string. scale * height in intrinsic units = pixel value. Label must be "mm" or "counts."

Line 6 - Z interpreted scale factor and label. Decimal number and text string. scale * height in intrinsic units = interpreted height.

[data] - The floating point pixel data separated by one space (ASCII 20) character. Bad data values are represented by a "B" character. The pixel data can not be interrupted by carriage returns of linefeeds until after the last pixel. Make certain this does not happen if a text editor is used to create the file. Required.

INT - Online Optical Research Associates (ORA®) Code VTM Grid (GRD) format. Popular ASCII file format for interchange of 2D data. Phase MOSAIC supports reading (WFR or SUR) and writing SUR data.

DAT - Online ZYGO MetroProTM format. Binary file format for interchange of surface data. Phase MOSAIC supports reading and writing surface data.

MAP - Online Phase Shift Technologies OpticodeTM format. Binary format for interchange of surface data. Phase MOSAIC supports reading and writing surface data.

H5 - Online 4D Technologies 4SightTM HDF5 format. Binary file format for interchange of surface data. Phase MOSAIC supports reading and writing surface data.

List Formats

SLS - Phase MOSAIC ASCII surface list. This is an ASCII text file consisting of file names followed by CR-LF pairs. The file represents a list of existing surface files to be processed in the order found in the list file. The file names include extensions and only one file name is allowed on each line. Full path names are required if the files are to be found in a different path from the list file. Comments can be used by using two forward slash characters (//) at the beginning of the comment line.

ILS - Phase MOSAIC ASCII image list. The image list file format is identical to the surface list (SLS) format with the exception that image file names are used instead of surface file names.

Other Formats

MSK - Phase MOSAIC masks. Collection of geometric mask primitives that can be applied to a surface or image. See masks.

PTH - Phase MOSAIC paths. Collection of geometric path primitives. See Paths.

FCP - Phase MOSAIC false color palette. See False color palettes.

See Also

Other Resources

SAF Format
Masking
False color palettes

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


SAF Format

SAF Format Phase MOSAIC

The SAF file format is a convenient ASCII format to use to transfer data into Phase MOSAIC from unsupported programs. In order to illustrate the SAF file convention, an example file is provided that can be used as a template to convert other program output.

Applies To

SAF File Format

SAF example.saf

[notes]

This is an example file in the SAF format. It illustrates the conventions for specifying pixel coordinates and scaling factors. Open the file in an ASCII text editor for details.

[cols]

5

[rows]

4

[fiducial group]

dimension

hidden

1 3

2.5 2.5

[fiducial group]

test

0 0

1 2

2.75 3

[scale]

mm

0.75 0.000000 0.000000 0.000000 -1 0.000000

1.000000 mm

1.000000 mm

100.0 mm

1000.000000 micron

[data]

B B B B B B B 100.000000 200.000000 B B B 300.000000 400.000000 B B B B B B

Here is what the file looks like in Phase MOSAIC:

saf fo 1

In order to rotate the coordinate system by 30 degrees CCW relative to the pixels, the [scale] section is changed to

[scale]

mm

0.649519052838329 -0.5 0 -0.375 -0.866025403784439 0

1 mm

1 mm

100 mm

1000 micron

saf fo 2

See Also

Other Resources

File Formats

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Using Lists

Using Lists Phase MOSAIC

List files are a way to represent surface or image sequences. They are stored as ASCII format text files containing the filename of previously stored files on each line.

Applies To

Minimum Version

Creating Lists

To create a list file, use the File | New menu command and select either image or surface list. An editor window will appear where file names may be typed in or added automatically using the File | Add File(s) menu option or the add list icon button. Individual files may be opened in a new window by double-clicking the file name in the editor.

Using Lists

Minimum Version

Full Version

Once a list file is created or opened, operations can be performed on the sequence. Available operations:

surfaces | Combine | Average | The average, or mean, of the population at each pixel location is calculated. Choose whether to propagate non-valid pixels to the average. If non-valid pixels are not propagated, aberrations to subtract are specified and overlay statistics can be generated.
Images | Combine | Median | The median, (max + min )/2, of the population at each pixel location is calculated.
Images | Combine | Modulation | The modulation image, modulation , of the population at each pixel location is calculated.
surfaces | Combine | Add and Subtract
 | Combine | Maximum and Minimum
 | Combine | Stitch | Choose the Zernike order or aberrations to remove. Overlay statistics can be generated for surfaces. As each data set is overlaid, pixel statistics are optionally gathered. See overlay statistics.
Images | Analysis | Phase | Phase analysis is described here.
 | View | Animate | Display a movie of image frames or surface representation.
See Also

Other Resources

Pixel overlay statistics

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Animating Lists

Animating Lists Phase MOSAIC

Phase MOSAIC provides the ability to create animations of surface or image lists. The animation can be saved as an AVI movie that can be played on other multimedia players. After creating an animation view with the View | Animate menu option or the animate button button, right click in the view to access the Save Movie menu item.

Calculation Options calc options icon

The size of the rendered frame and the frame rate of the animation can be specified. The frame rate is specified in frames per second.

The plot properties to use for representing the individual surfaces or images in the animation can be loaded with the Load button. In order to save plot properties to a file, double-click a file in the list to create a 2D surface or image plot. Modify the plot properties using the calculation options to create the desired representation. Right click the 2D plot and choose the Properties | Save menu item. The saved file can be loaded with the Load button in the animate view and will be applied to each of the rendered frames of the animation.

By selecting Autoscale Plots, the extents of the plots rendered for each frame will be adjusted to best represent each frame. Turn this off to keep the same scale for all frames.

See Also

Other Resources

Calculation options

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Frequently Asked Questions

Frequently Asked Questions Phase MOSAIC

This page contains answers to common questions handled by our support staff, along with some tips and tricks that we have found useful and presented here as questions.

  1. Is Phase MOSAIC a phase shifting data acquisition program?
  2. How do I register surfaces together?
  3. Can I register surfaces without using fiducials?
  4. Graphics appear blocky on my display. Does this mean my results will be inaccurate?
  5. How are pixel values chosen for surface frame operations (registration, addition, subtraction, maximum, minimum,averaging)?
  6. I am Zernike fitting a surface and the resulting coefficients don't seem to make any sense. Whats' going on?
  7. After matching coordinate systems using fiducial groups, the surface now seems to be skewed. How can I stop this from happening?
Is Phase MOSAIC a phase shifting data acquisition program?

Phase MOSAIC supports data acquisition with Phase MOSAIC AQ. This version works with a server program connected to phase shifting hardware. The client and server programs connect over a LAN connection. Extra functionality supported by Phase MOSAIC AQ is represented by the AQ symbol in this help documentation.

How do I register surfaces together?

Surfaces are registered or "stitched" together by using coordinate systems. To start, make sure a proper global coordinate system is defined in each surface to register. One way to do this is to use fiducials. In each surface file, mark fiducial locations at known physical locations. Then use the Modify | Coordinate System | Match | Fiducial Groups | menu item. Edit the fiducial values in the group to match to be the known physical positions. Then fit the coordinate system to this group using the Match button. Be sure to save a version of the file with the corrected coordinate system for each surface to be registered. Load the first file and use the Modify | Pixels | Frame | Register menu item to select the other file. At this time you can select the aberrations to be adjusted to match the surfaces together.

Can I register surfaces without using fiducials?

Yes. Registration uses the coordinate system defined for each file. If each surface to register uses the same set of pixel locations, the default coordinate system on each surface can be used to register since it will be the same. One limitation to this is allowing aberrations higher than focus to be adjusted during registration. Higher aberrations require a correctly identified center. In this case, the center that is used for registration needs to be the optical center of the part registered.

Graphics appear blocky on my display. Does this mean my results will be inaccurate?

Not necessarily. Phase MOSAIC uses the "document-view" model of programming. This means that the data and the display of the data are separated. Calculations in Phase MOSAIC use the actual pixel values, not the displayed pixels on the screen. Graphical display of data can appear blocky if the graphics resolution setting is much lower than the number of pixels being represented. The graphics resolution of the 2D surface view can be adjusted by right-clicking in the view and select the Properties menu item. The render resolution can be changed with the Preferences tab. This adjusts the desired resolution of the graphical representation of the pixel data. For more information, see Plots and Views.

How are pixel values chosen for surface frame operations (registration, addition, subtraction, maximum, minimum,averaging)?

These operations work by choosing a surface height from the surface to be registered, (or added, subtracted, etc.), and modifying the base surface height based on this value. Generally, surface height can be chosen by finding the nearest pixel value to the desired location, or interpolating the value. Interpolation may result in more accurate results in some situations, but may also result in smoothing of the surface data. For this reason, Phase MOSAIC chooses the pixel overlay value by finding the nearest pixel value to the desired location. If interpolation is desired, it is recommended that the surface be resampled to a square grid using the Modify | Pixels | Resample | Square Pixels | command. Be sure to check the Use Bilinear Interpolation checkbox. Frame operations can be executed on the resampled surfaces after saving.

I am Zernike fitting a surface and the resulting coefficients don't seem to make any sense. Whats' going on?

Phase MOSAIC fits Zernike polynomials around the currently defined coordinate system origin. By default, it then defines a normalization radius to be the distance from the origin to encompass all of the valid pixel data. If the origin of the coordinate system is far from the centroid of the valid pixel data, the data will be non-orthogonal and the resulting fit coefficients will not appear to be correct. In order to evaluate Zernike polynomial coefficients for an arbitrary surface, translate the origin of the coordinate system to the centroid of the valid data using the Modify | Coordinate System | Translate | To Centroid menu item.

After matching coordinate systems using fiducial groups, the surface now seems to be skewed. How can I stop this from happening?

Phase MOSAIC uses a least-squares optimization to match fiducial groups containing 3 or more fiducials. This results in all six coefficients of the affine transform matrix being treated as free parameters. This means translation, x- and y- scaling, rotation, and x- and y- skew are allowed in the fitted transformation. If only translation, scaling, and rotation are allowed, match fiducial groups containing only 2 fiducials. The 2 fiducials can be created from average positions of a larger number of fiducials. If only translation is desired, match fiducial groups containing only 1 fiducial.


Undo

Undo Phase MOSAIC

Use this command to reverse the last editing action, if possible.


File Open Dialog

File Open Dialog Phase MOSAIC

File Open dialog box

The following options allow you to specify which file to open:

File Name

Specifies the file you want to open. This box lists files with the extension you select in the List Files of Type field.

List Files of Type

Specifies the type of file you want to open:

Surface Files

Image Files

Surface Lists

Image Lists

Drives

Specifies the drive in which Phase MOSAIC stores the file that you want to open.

Directories

Specifies the directory in which Phase MOSAIC stores the file that you want to open.

Network

Click this button to connect to a network location.


System Menu Size Command

System Menu Size Command Phase MOSAIC

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a direction key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.


Redo

Redo Phase MOSAIC

Repeats the last executed operation.


Print Setup Dialog

Print Setup Dialog Phase MOSAIC

Print Setup dialog box

The following options allow you to select the destination printer and its connection.

Printer

Specifies the printer you want to use. Choose the default printer, or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using Control Panel.

Orientation

Specifies Portrait or Landscape.

Paper Size

Specifies the size of paper that the document is to be printed on.

Paper Source

Specifies the paper source, because some printers offer multiple trays for different paper sources.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network

Click this button to connect to a network location, assigning it a new drive letter.


Print Progress Dialog

Print Progress Dialog Phase MOSAIC

The Printing dialog box is shown during the time that Phase MOSAIC is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


Replace Dialog

Replace Dialog Phase MOSAIC

Replace dialog box

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Control Menu Close Command

Control Menu Close Command Phase MOSAIC

Use this command to close the active window or dialog box.

Close command (Control menus)

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


Control Menu Restore Command

Control Menu Restore Command Phase MOSAIC

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


Scrollbars

Scrollbars Phase MOSAIC

Scrollbars are displayed at the right and bottom edges of the document window. The scroll boxes inside the scrollbars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.


Unknown Message Box

Unknown Message Box Phase MOSAIC

No Help Available

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


File Save Dialog

File Save Dialog Phase MOSAIC

File Save As dialog box

Minimum Version

Full Version

The following options allow you to specify the name and location of the file you're about to save:

File Name

Specifies a file name to save a document with a different name. Phase MOSAIC adds the extension you specify in the Save File As Type box.

Drives

Specifies the drive in which you want to store the document.

Directories

Specifies the directory in which you want to store the document.

Network

Click this button to connect to a network location.


Acquiring data

Acquiring data Phase MOSAIC

Phase MOSAIC AQ supports data acquisition through an auxilliary server application. This application can be configured for the installed hardware in the server PC. Surfaces, images, and lists of each can be generated by the server and transferred into Phase MOSAIC AQ for processing.

Applies To

Minimum Version

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Docking Toolbar Area

Docking Toolbar Area Phase MOSAIC

This area is provided to contain dockable toolbars, such as the default toolbar created for the application. Docking toolbars can be dragged onto or off this client area, and arrange themselves according to the space available.


Choose Color Dialog

Choose Color Dialog Phase MOSAIC

Choose Color dialog box

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Choose Font Dialog

Choose Font Dialog Phase MOSAIC

The font dialog box allows fonts that are installed on the user's machine to be used in Phase MOSAIC. Select the font name, style, and size for use in Plots and Views.


No Help Is Available

No Help Is Available Phase MOSAIC

No help is available for this area of the window.


Find Dialog

Find Dialog Phase MOSAIC

Find dialog box

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.


Print Preview

Print Preview Phase MOSAIC

Print Preview toolbar

Options

Print

Opens the Print dialog box to start a print job.

Next Page

Previews the next printed page.

Prev Page

Previews the previous printed page.

One Page / Two Page

Previews one or two printed pages at a time.

Zoom In

Takes a closer look at the printed page.

Zoom Out

Takes a larger look at the printed page.

Close

Returns from print preview to the editing window.


System Menu Maximize Command

System Menu Maximize Command Phase MOSAIC

Enlarges the selected window

Maximize command (System menu)

Use this command to enlarge the active window to fill the available space.


System Menu Minimize Command

System Menu Minimize Command Phase MOSAIC

Use this command to reduce the Phase MOSAIC window to an icon.


System Menu Move Command

System Menu Move Command Phase MOSAIC

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


Print Dialog

Print Dialog Phase MOSAIC

Printing

Minimum Version

The following options allow you to specify how the document should be printed:

Printer

Displays the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Setup

Displays a Print Setup dialog box, so you can select a printer and printer connection.

Print Range

Specifies the pages you want to print:

All | Prints the entire document.
Selection | Prints the currently selected text.
Pages | Prints the range of pages you specify in the From and To fields.

Copies

Specifies the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Specifies the quality of the printing. Generally, lower quality printing takes less time to produce.


File New Dialog

File New Dialog Phase MOSAIC

Create documents with the File New dialog box

Minimum Version

Full Version

Specify the type of document you want to create:

Surface

Surface List

Image

Image List

Phase MOSAIC, Phase MOSAIC LE, and Phase MOSAIC AQ are trademarks of FringeSoft. All other products mentioned are registered trademarks or trademarks of their respective companies. Copyright © 2015 FringeSoft. All rights reserved.